Skip to main content
`Ctrl`+`K`

# SNESNASMSetWeight

Sets weight to use when adding overlapping updates

## Synopsis

    #include "petscsnes.h"
    PetscErrorCode SNESNASMSetWeight(SNES snes, Vec weight)

Collective

## Input Parameters

- snes - the `SNES` context

- weight - the weights to use (typically 1/N for each dof, where N is the number of patches it appears in)

## See Also

SNES: Nonlinear Solvers, `SNESNASM`

## Level

intermediate

## Location

src/snes/impls/nasm/nasm.c

Index of all SNES routines
Table of Contents for all manual pages
Index of all manual pages